import { jsx as ___EmotionJSX } from "@emotion/core";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import React from 'react';
import PropTypes from 'prop-types';
import MobileDropdown from './mobileDropdown';
import DesktopDropdown from './desktopDropdown';
import allowNullPropType from '../../utils/allowNullPropType';
var defaultProps = {
  textAlign: 'left',
  onChange: function onChange() {}
};
var propTypes = {
  // eslint-disable-next-line react/forbid-prop-types
  value: allowNullPropType(PropTypes.any.isRequired),
  options: PropTypes.arrayOf(PropTypes.shape({
    // eslint-disable-next-line react/forbid-prop-types
    value: PropTypes.any,
    label: PropTypes.string,
    disabled: PropTypes.bool
  })).isRequired,
  textAlign: PropTypes.oneOf(['left', 'center']),
  onChange: PropTypes.func
};

var Dropdown =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Dropdown, _React$Component);

  function Dropdown() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Dropdown);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Dropdown)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.state = {
      isOpen: false
    };

    _this.onSelectClick = function () {
      return _this.setState({
        isOpen: !_this.state.isOpen
      });
    };

    _this.onSelectChange = function (event) {
      var _event$target = event.target,
          value = _event$target.value,
          selectedOptions = _event$target.selectedOptions;

      if (selectedOptions && selectedOptions.length) {
        var label = selectedOptions[0].label;

        _this.props.onChange({
          value: value,
          label: label
        });
      }

      _this.closeDropdown();
    };

    _this.onOptionClick = function (event) {
      if (event.target.hasAttribute('disabled')) {
        return;
      }

      var value = event.target.getAttribute('value');
      var label = event.target.innerText;

      _this.props.onChange({
        value: value,
        label: label
      });

      _this.closeDropdown();
    };

    _this.closeDropdown = function () {
      return _this.setState({
        isOpen: false
      });
    };

    return _this;
  }

  _createClass(Dropdown, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          value = _this$props.value,
          options = _this$props.options;
      var isOpen = this.state.isOpen;
      var touchSupported = 'ontouchstart' in document.documentElement;

      if (touchSupported) {
        return ___EmotionJSX(MobileDropdown, _extends({}, this.props, {
          onSelectChange: this.onSelectChange
        }));
      }

      var currentOption = options.find(function (option) {
        return option.value === value;
      });
      return ___EmotionJSX(DesktopDropdown, _extends({
        isOpen: isOpen,
        onOptionClick: this.onOptionClick,
        closeDropdown: this.closeDropdown,
        onSelectClick: this.onSelectClick,
        currentOption: currentOption
      }, this.props));
    }
  }]);

  return Dropdown;
}(React.Component);

Dropdown.defaultProps = defaultProps;
Dropdown.propTypes = propTypes;
export default Dropdown;