import { jsx as ___EmotionJSX } from "@emotion/core";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import React from 'react';
import PropTypes from 'prop-types';
import ReactModal from 'react-modal';
import CloseIcon from '../../svgs/icons/close-icon.svg';
import keyPressMatch from '../../utils/keyPressMatch';
import KEYCODES from '../../constants/keycodes';
import { ModalContainer, ModalOverlay, ModalBox, ModalCloseIcon, ContentContainer, Title, Body, Footer } from './style';

var Modal =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Modal, _React$Component);

  function Modal() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Modal);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Modal)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.state = {
      isVisible: false,
      parentNode: document.querySelector('#reactPortalSection') || document.body
    };

    _this.getParent = function () {
      return _this.state.parentNode;
    };

    _this.handleEscapeKey = function (event) {
      if (keyPressMatch(event, KEYCODES.escape)) {
        _this.closeModal();
      }
    };

    _this.afterOpen = function () {
      return _this.setState({
        isVisible: true
      });
    };

    _this.requestClose = function () {
      return _this.setState({
        isVisible: false
      });
    };

    _this.stopPropagation = function (event) {
      return event.stopPropagation();
    };

    _this.closeModal = function () {
      var _this$props = _this.props,
          onClose = _this$props.onClose,
          canBeClosed = _this$props.canBeClosed;

      if (canBeClosed) {
        _this.setState({
          isVisible: false
        });

        onClose();
      }
    };

    return _this;
  }

  _createClass(Modal, [{
    key: "componentWillMount",
    value: function componentWillMount() {
      var el = document.querySelector('#reactPortalSection') ? '#reactPortalSection' : 'body';
      ReactModal.setAppElement(el);
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      document.getElementsByTagName('body')[0].addEventListener('keydown', this.handleEscapeKey);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      document.getElementsByTagName('body')[0].removeEventListener('keydown', this.handleEscapeKey);
    } // eslint-disable-next-line react/destructuring-assignment

  }, {
    key: "render",
    value: function render() {
      var isVisible = this.state.isVisible;
      var _this$props2 = this.props,
          isOpen = _this$props2.isOpen,
          children = _this$props2.children,
          className = _this$props2.className,
          canBeClosed = _this$props2.canBeClosed;
      return ___EmotionJSX(ModalContainer, null, ___EmotionJSX(ReactModal, {
        className: "prevent-default ".concat(className),
        contentLabel: "Modal",
        isOpen: isOpen,
        onAfterOpen: this.afterOpen,
        onRequestClose: this.requestClose,
        parentSelector: this.getParent
      }, ___EmotionJSX(ModalOverlay, {
        isVisible: isVisible,
        canBeClosed: canBeClosed,
        onClick: this.closeModal,
        id: "modal-overlay"
      }, ___EmotionJSX(ModalBox, {
        isVisible: isVisible,
        onClick: this.stopPropagation
      }, canBeClosed && ___EmotionJSX(ModalCloseIcon, {
        onClick: this.closeModal
      }, ___EmotionJSX(CloseIcon, null)), children))));
    }
  }]);

  return Modal;
}(React.Component);

Modal.propTypes = {
  onClose: PropTypes.func,
  isOpen: PropTypes.bool,
  canBeClosed: PropTypes.bool,
  className: PropTypes.string,
  children: PropTypes.node
};
Modal.defaultProps = {
  onClose: function onClose() {},
  isOpen: false,
  className: '',
  children: '',
  canBeClosed: true
};
Modal.ContentContainer = ContentContainer;
Modal.Title = Title;
Modal.Body = Body;
Modal.Footer = Footer;
export default Modal;